Public Member Functions

# FlowStat::Comparator Struct Reference

Comparator for two flow stats for ordering them in a way that makes the next flow stat to sent cargo for show up as first element. More...

`#include <station_base.h>`

## Public Member Functions
bool | operator() (const FlowStat &x, const FlowStat &y) const
| Comparator function.

## Detailed Description

Comparator for two flow stats for ordering them in a way that makes the next flow stat to sent cargo for show up as first element.

Definition at line 244 of file station_base.h.

## Member Function Documentation

bool FlowStat::Comparator::operator() | ( | const FlowStat & | x,
|  | const FlowStat & | y |
| ) |  |  | const`[inline]`

Comparator function.

Decides by planned - sent or via, if those are equal.

Parameters:

  | x | First flow stat.
  | y | Second flow stat.

Returns:
  True if x.planned - x.sent is greater than y.planned - y.sent.

Definition at line 252 of file station_base.h.

References FlowStat::Planned(), FlowStat::Sent(), and FlowStat::Via().

The documentation for this struct was generated from the following file:

- src/station_base.h